resource "aws_cognito_user_pool" "catherine_fc_admin_cognito_pool" {
  name = "catherine-fc-admin"

  admin_create_user_config {
    allow_admin_create_user_only = true
  }
}

resource "aws_cognito_user_pool_client" "catherine_fc_admin_cognito_pool_client" {
  name         = "catherine-fc-admin-client"
  user_pool_id = aws_cognito_user_pool.catherine_fc_admin_cognito_pool.id
  allowed_oauth_flows = ["code","implicit"]
  allowed_oauth_scopes = ["email", "openid"]
  callback_urls = ["https://www.catherine-fc.com","https://catherine-fc.com"]
  allowed_oauth_flows_user_pool_client  = true
  generate_secret     = true
  explicit_auth_flows = ["USER_PASSWORD_AUTH"]
}

resource "aws_cognito_user_pool_domain" "catherine_fc_admin_cognito_pool_domain" {
  domain       = "catherine-fc-admin-domain"
  user_pool_id = aws_cognito_user_pool.catherine_fc_admin_cognito_pool.id
}
